# List Customer Accounts (deprecated)

Get a list of all accounts for a specified customer. Deprecated: Use List Pockets for Customer instead.

Endpoint: GET /api/v1/customers/{customer_id}/jiko-accounts/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

## Query parameters:

  - `offset` (integer)

  - `limit` (integer)

  - `omit[]` (any)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `offset` (integer, required)

  - `count` (integer, required)

  - `items` (array, required)
    Customer accounts

  - `items.id` (string, required)

  - `items.name` (string, required)
    The account name

  - `items.total_value` (object, required)
    Current total value of account

  - `items.total_value.value` (integer, required)
    USD values are always in cents.

  - `items.total_value.currency` (string, required)

  - `items.total_value.formatted` (string)

  - `items.status` (string, required)
    Account status
    Enum: "OPEN", "CLOSED", "FROZEN"

  - `items.portfolio` (object, required)
    Total liquid cash and holdings

  - `items.portfolio.securities` (array, required)
    Securities currently held by the brokerage account

  - `items.portfolio.securities.tradable_id` (string, required)

  - `items.portfolio.securities.security_type` (string, required)
    Enum: "FIXED_INCOME", "OTHER"

  - `items.portfolio.securities.quantity` (integer, required)
    Number of securities

  - `items.portfolio.securities.market_value` (object, required)
    The current market value of the securities

  - `items.portfolio.securities.external_id` (string, required)

  - `items.portfolio.securities.maturity_date` (string, required)
    Due date of the fixed income instrument

  - `items.portfolio.securities.yield_to_maturity` (string, required)
    Rate of return if the security is held to the maturity date

  - `items.portfolio.securities.ask` (string, required)
    The current price the account is willing to sell the security at

  - `items.portfolio.securities.bid` (string, required)
    The current price the market is willing to pay for the security

  - `items.portfolio.securities.description` (string, required)
    A description of the security

  - `items.portfolio.cash` (object, required)
    Cash currently held in the brokerage account.

  - `items.portfolio.all_time_earnings` (any, required)
    All time portfolio earnings. Use of this field is discouraged, as it will be removed in a future release. Please use the [Get Earnings](/reference/v2#tag/Pockets/operation/get-earnings-v2) endpoint instead.

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
